;;-----------------------------LICENSE NOTICE------------------------------------
;; _________.__             .__                   __        .___    ___.    __   
;; \__    ___/|  |__   ____   |  | _____    _______/  |_    __| _/____\_ |___/  |_ 
;;   |    |   |  |  \_/ __ \  |  | \__  \  /  ___/\   __\  / __ |/ __ \| __ \   __\
;;   |    |   |   Y  \  ___/  |  |__/ __ \_\___ \  |  |   / /_/ \  ___/| \_\ \  |  
;;   |____|   |___|  /\___  > |____(____  /____  > |__|   \____ |\___  >___  /__|  
;;                 \/     \/            \/     \/              \/    \/    \/      
;;
;;  Code Copyright (C) 2018 RetroJAM Games (@RetroJamGames)
;;  This file is part of The Last Debt: an Amstrad CPC Game made with CPCTelera
;;
;;  This program is free software: you can redistribute it and/or modify
;;  it under the terms of the GNU Lesser General Public License as published by
;;  the Free Software Foundation, either version 3 of the License, or
;;  (at your option) any later version.
;;
;;  This program is distributed in the hope that it will be useful,
;;  but WITHOUT ANY WARRANTY; without even the implied warranty of
;;  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;  GNU Lesser General Public License for more details.
;;
;;  You should have received a copy of the GNU Lesser General Public License
;;  along with this program.  If not, see <http://www.gnu.org/licenses/>.
;;-------------------------------------------------------------------------------

.globl next_level
.globl restart_levels
.globl m_num_obs
.globl m_num_wall

.globl obstacle_vector
.globl wall_vector
.globl door_vector
.globl object_vector
.globl restart_actual_level

decompress_buffer = 0x040 ;;Starts on 0x040
level_max_size = 0xFA0 ;;max_size of all our levels
decompress_buffer_end = decompress_buffer + level_max_size - 1
tilemap_ptr =  decompress_buffer + 0 ; + Offset
tilemap2_ptr = decompress_buffer +  2000 ;; + Offset

k_obs_size = 8                       ;; Size of each Floor
k_wall_size = 7                     ;; Size of each Wall
k_door_size = 7                     ;; Size of each Wall
k_obj_size = 9


